Bug 1233344 - glusterfs-resource-agents - volume - voldir is not properly set
Summary: glusterfs-resource-agents - volume - voldir is not properly set
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: scripts
Version: 3.7.1
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1234873
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-18 16:37 UTC by JohnJerome
Modified: 2017-03-08 10:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 10:57:06 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1233333 0 unspecified CLOSED glusterfs-resource-agents - volume - doesn't stop all processes 2021-02-22 00:41:40 UTC

Internal Links: 1233333

Description JohnJerome 2015-06-18 16:37:11 UTC
Description of problem:
When creating a resource with the RA 'ocf:glusterfs:volume', it doesn't work as expected because it cannot find required infos.

Version-Release number of selected component (if applicable):
glusterfs-resource-agents-3.7.1-1.el7.noarch.rpm

How reproducible:
Everytime

Steps to Reproduce:
1. Create the resource (all prerequisites are OK, ie: the cluster is operational, the FS has been tested without Pacemaker, the resource glustered is created)
pcs resource create gluster_volume ocf:glusterfs:volume volname='gv0' op monitor interval=60s

2. Try to enable/disable/monitor the resource


Actual results:
# pcs status
...
 Clone Set: gluster_d-clone [gluster_d]
     Started: [ centos71-2 centos71-3 ]
 Clone Set: gluster_volume-clone [gluster_volume]
     gluster_volume     (ocf::glusterfs:volume):        FAILED centos71-3 (unmanaged)
     gluster_volume     (ocf::glusterfs:volume):        FAILED centos71-2 (unmanaged)

Failed actions:
    gluster_volume_stop_0 on centos71-3 'unknown error' (1): call=101, status=Timed Out, exit-reason='none', last-rc-change='Thu Jun 18 15:45:16 2015', queued=1ms, exec=20003ms
    gluster_volume_stop_0 on centos71-3 'unknown error' (1): call=101, status=Timed Out, exit-reason='none', last-rc-change='Thu Jun 18 15:45:16 2015', queued=1ms, exec=20003ms
    gluster_volume_stop_0 on centos71-2 'unknown error' (1): call=104, status=Timed Out, exit-reason='none', last-rc-change='Thu Jun 18 15:44:56 2015', queued=0ms, exec=20002ms
    gluster_volume_stop_0 on centos71-2 'unknown error' (1): call=104, status=Timed Out, exit-reason='none', last-rc-change='Thu Jun 18 15:44:56 2015', queued=0ms, exec=20002ms
...

Expected results:
# pcs status
...
 Clone Set: gluster_d-clone [gluster_d]
     Started: [ centos71-2 centos71-3 ]
 Clone Set: gluster_volume-clone [gluster_volume]
     Started: [ centos71-2 centos71-3 ]
...

Additional info:
I patched it localy in the file : /usr/lib/ocf/resource.d/glusterfs/volume

...
volume_getdir() {
    local voldir
    voldir="/var/lib/glusterd/vols/${OCF_RESKEY_volname}"         <===== new value
#    voldir="/etc/glusterd/vols/${OCF_RESKEY_volname}"            <===== old value

    [ -d ${voldir} ] || return 1

    echo "${voldir}"
    return 0
}
...

Comment 1 Kaushal 2017-03-08 10:57:06 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.


Note You need to log in before you can comment on or make changes to this bug.